Skills
Delete a specific version of a skill
Removes the specified version of a skill.
Parametri del percorso
name
string
necessario
The name of the skill.
version
string
necessario
The version identifier to delete.
Parametri di intestazione
Foundry-Features
enum
necessario
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Risposte
The request has succeeded.
Corpo
id
string
necessario
The unique identifier of the deleted skill version.
name
string
necessario
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
deleted
boolean
necessario
Whether the skill version was successfully deleted.
version
string
necessario
The version that was deleted.
Richiedi
DELETE /skills/{name}/versions/{version} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json